Open SCAP Library: Probe session API

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Data Structures | Typedefs | Functions
Probe session API
System checking mechanism - probes

## Data Structures
struct | oval_probe_session
| OVAL probe session structure. More...

## Typedefs
typedef struct oval_probe_session | oval_probe_session_t

## Functions
oval_probe_session_t * | oval_probe_session_new (struct oval_syschar_model *model)
| Create and initialize a new probe session. More...
void | oval_probe_session_destroy (oval_probe_session_t *sess)
| Destroy probe session. More...
int | oval_probe_session_close (oval_probe_session_t *sess)
| Send a close request to all probes. More...
int | oval_probe_session_reset (oval_probe_session_t *sess, struct oval_syschar_model *sysch)
| Reset the session. More...
int | oval_probe_session_abort (oval_probe_session_t *sess)
| Abort the session.
int | oval_probe_session_sethandler (oval_probe_session_t *sess, oval_subtype_t type, oval_probe_handler_t handler, void *ptr)
| Set a new handler for an object of the specified type. More...
struct oval_syschar_model * | oval_probe_session_getmodel (oval_probe_session_t *sess)
| Get system characteristics model from probe session. More...

## Detailed Description

## Function Documentation

int oval_probe_session_close | ( | oval_probe_session_t * | sess | ) |

Send a close request to all probes.

In case of external probes, the running processes are shutdown - all cached results are lost.

Parameters

  sess | pointer to the probe session structure

void oval_probe_session_destroy | ( | oval_probe_session_t * | sess | ) |

Destroy probe session.

All state information created during the lifetime of the session is freed, resources used by probes are freed using the probe handler API.

Parameters

  sess | pointer to the probe session structure

struct oval_syschar_model * oval_probe_session_getmodel | ( | oval_probe_session_t * | sess | ) |
| read

Get system characteristics model from probe session.

Parameters

  sess | pointer to the probe session structure

oval_probe_session_t * oval_probe_session_new | ( | struct oval_syschar_model * | model | ) |

Create and initialize a new probe session.

Parameters

  model | system characteristics model

int oval_probe_session_reset | ( | oval_probe_session_t * | sess,
|  | struct oval_syschar_model * | sysch
| ) |  |

Reset the session.

All state information created during the lifetime of the session is freed and reset to its initial state. All cached results are lost.

Parameters

  sess | pointer to the probe session structure
  sysch | pointer to a new syschar model or NULL

int oval_probe_session_sethandler | ( | oval_probe_session_t * | sess,
|  | oval_subtype_t | type,
|  | oval_probe_handler_t | handler,
|  | void * | ptr
| ) |  |

Set a new handler for an object of the specified type.

Parameters

  sess | pointer to the probe session structure
  type | object type
  handler |
  ptr | user pointer that will be passed to the handler on each invocation of the handler